%define module	WWW-Mechanize
%define name	perl-%{module}
%define version 1.12
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Handy web browsing in a Perl object
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl-CGI
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-Test-Exception
Buildrequires:	perl-Test-Memory-Cycle
Buildrequires:	perl-Test-Pod
Buildrequires:	perl-Test-Warn
Buildrequires:	perl-URI
BuildRequires:	perl-libwww-perl
Buildarch:	noarch

%description
WWW::Mechanize, or Mech for short, helps you automate interaction with a
website. It supports performing a sequence of page fetches including following
links and submitting forms. Each fetched page is parsed and its links and forms
are extracted. A link or a form can be selected, form fields can be filled and
the next page can be fetched. Mech also stores a history of the URLs you've
visited, which can be queried and revisited.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes etc/www-mechanize-logo.png
%{perl_vendorlib}/*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Fri Feb 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.12-1mdk
- 1.12

* Wed Feb 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.10-1mdk
- 1.10
- Reenable make test and BuildRequires

* Sun Jan 23 2005 Stefan van der Eijk <stefan@mandrake.org> 1.08-1mdk
- 1.08
- disable make test, as it seems to be broken on 1.06 & 1.08
- commented out the BuildRequires for the test

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.06-2mdk
- fix buildrequires in a backward compatible way

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-1mdk
- new version
- add logo in doc

* Thu Nov 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.04-1mdk 
- new version
- rpmbuildupdate aware

* Wed Apr 21 2004 Olivier Blin <blino@mandrake.org> 1.02-2mdk
- quiet setup
- fix Summary

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-1mdk
- new version

* Mon Mar 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.74-1mdk
- first mdk release
